sccs-unget(1)

NAME
sccs-unget, unget - undo a previous get of an SCCS file

SYNOPSIS

/usr/ccs/bin/unget
[-ns]
[-q
[nsedelim]]
[-r
sid]
s.filename...

DESCRIPTION

The unget utility undoes the effect of a get -e command executed before the creation of the pending delta.

If a directory name is used in place of the s.filename argument, the unget command applies to all s.files in that directory. Unreadable s.files produce an error; processing continues with the next file (if any). The use of `-' as the s.filename argument indicates that the names of files are to be read from the standard input, one s.file per line.

OPTIONS

The following options are supported:

-n  Retains the retrieved version, which is otherwise removed.

-s  Suppress display of the SCCS delta ID (SID).

-rsid
    When multiple versions are checked out, this option specifies which pending delta to abort. A diagnostic results if the specified SID is ambiguous, or if it is necessary but omitted from the command line.

-q[nsedelim]
    Enable NSE mode. If NSE mode is enabled, several NSE related extensions may be used. In this release, the value of nsedelim is ignored.

    This option is an undocumented SUN extension that does not exist in historic sccs implementations.

-V  Prints the unget version number string and exists.

ENVIRONMENT VARIABLES

See environ(5) for descriptions of the following environment variables that affect the execution of unget(1): LANG, LC_ALL, LC_CTYPE, LC_MESSAGES, and NLSPATH.

SCCS_NO_HELP
    If set, unget(1) will not automatically call help(1) with the SCCS error code in order to print a more helpful error message. Scripts that depend on the exact error messages of SCCS commands should set the environment variable SCCS_NO_HELP and set LC_ALL=C.

EXIT STATUS

The following exit values are returned:

0   Successful completion.

1   An error occurred.

FILES

p.file
    permissions (lock) file for checked-out versions. See sccs-get(1) for a description of the layout of the p.file.

q.file
    temporary copy of the p.file; renamed to the p.file after completion

z.file
    temporary lock file contains the binary process id in host byte order followed by the host name

dump.core
    If the file dump.core exists in the current directory and a fatal signal is received, a coredump is initiated via abort(3).

ATTRIBUTES

See attributes(5) for descriptions of the following attributes:

SEE ALSO

sccs(1), sccs-admin(1), sccs-cdc(1), sccs-comb(1), sccs-cvt(1), sccs-delta(1), sccs-get(1), sccs-help(1), sccs-log(1), sccs-prs(1), sccs-prt(1), sccs-rmdel(1), sccs-sact(1), sccs-sccsdiff(1), sccs-val(1), bdiff(1), diff(1), what(1), sccschangeset(4), sccsfile(4), attributes(5), environ(5), standards(5).

DIAGNOSTICS

Use the SCCS help command for explanations (see sccs-help(1)).

AUTHORS
The SCCS suite was origininally written by Marc J. Rochkind at Bell Labs in 1972. Release 4.0 of SCCS, introducing new versions of the programs admin(1), get(1), prt(1), and delta(1) was published on February 18, 1977; it introduced the new text based SCCS v4 history file format (previous SCCS releases used a binary history file format). The SCCS suite was later maintained by various people at AT&T and Sun Microsystems. Since 2006, the SCCS suite is maintained by Joerg Schilling.